wok rev 21160

Up ufraw (0.22)
author Pascal Bellard <pascal.bellard@slitaz.org>
date Sun Mar 31 15:04:44 2019 +0200 (23 months ago)
parents 4a6cec986bf8
children 0eeee42fc2a2
files gimp-plugin-ufraw/receipt ufraw-locales/receipt ufraw/receipt
line diff
     1.1 --- a/gimp-plugin-ufraw/receipt	Sun Mar 31 13:48:00 2019 +0200
     1.2 +++ b/gimp-plugin-ufraw/receipt	Sun Mar 31 15:04:44 2019 +0200
     1.3 @@ -1,7 +1,7 @@
     1.4  # SliTaz package receipt.
     1.5  
     1.6  PACKAGE="gimp-plugin-ufraw"
     1.7 -VERSION="0.18"
     1.8 +VERSION="0.22"
     1.9  CATEGORY="graphics"
    1.10  SHORT_DESC="Add raw files support to GIMP with UFRaw."
    1.11  MAINTAINER="pankso@slitaz.org"
     2.1 --- a/ufraw-locales/receipt	Sun Mar 31 13:48:00 2019 +0200
     2.2 +++ b/ufraw-locales/receipt	Sun Mar 31 15:04:44 2019 +0200
     2.3 @@ -1,7 +1,7 @@
     2.4  # SliTaz package receipt.
     2.5  
     2.6  PACKAGE="ufraw-locales"
     2.7 -VERSION="0.18"
     2.8 +VERSION="0.22"
     2.9  CATEGORY="misc"
    2.10  SHORT_DESC="Locales for ufraw and gimp-plugin-ufraw."
    2.11  MAINTAINER="pankso@slitaz.org"
     3.1 --- a/ufraw/receipt	Sun Mar 31 13:48:00 2019 +0200
     3.2 +++ b/ufraw/receipt	Sun Mar 31 15:04:44 2019 +0200
     3.3 @@ -1,7 +1,7 @@
     3.4  # SliTaz package receipt.
     3.5  
     3.6  PACKAGE="ufraw"
     3.7 -VERSION="0.18"
     3.8 +VERSION="0.22"
     3.9  CATEGORY="graphics"
    3.10  SHORT_DESC="Utility to read and manipulate raw images from digital cameras."
    3.11  MAINTAINER="pankso@slitaz.org"
    3.12 @@ -18,7 +18,11 @@
    3.13  # Rules to configure and make the package.
    3.14  compile_rules()
    3.15  {
    3.16 -	cd $src
    3.17 +	sed -i 's|.*Exiv2::Error(1.*|//#if EXIV2_TEST_VERSION(0,27,0)\
    3.18 +	    throw Exiv2::Error(Exiv2::kerErrorMessage, error);\
    3.19 +//#else\n//&\n//#endif|' ufraw_exiv2.cc
    3.20 +	sed -i	-e 's|return TRUE|return boolean(TRUE)|' \
    3.21 +		-e 's|\(jpeg_.*\)TRUE|\1boolean(TRUE)|' dcraw.cc
    3.22  	./configure \
    3.23  		$CONFIGURE_ARGS &&
    3.24  	make && make install